## org.exist.security
Class Base64Coder

    java.lang.Object
      org.exist.security.Base64Coder

public class Base64Coder
extends java.lang.Object

A Base64 Encoder/Decoder. This class is used to encode and decode data in Base64 format as described in RFC 1521.

Copyright 2003: Christian d'Heureuse, Inventec Informatik AG, Switzerland.
License: This is "Open Source" software and released under the GNU/LGPL license. It is provided "as is" without warranty of any kind. Please contact the author for other licensing arrangements.
Home page: www.source-code.biz

Version history:
2003-07-22 Christian d'Heureuse (chdh): Module created.
2005-08-11 chdh: Lincense changed from GPL to LGPL.

Constructor Summary
`Base64Coder()`

Method Summary
`static byte[]` `decode(char[] in)` Decodes Base64 data.
`static java.lang.String` `decode(java.lang.String s)` Decodes a Base64 string.
`static char[]` `encode(byte[] in)` Encodes a byte array into Base64 format.
`static java.lang.String` `encode(java.lang.String s)` Encodes a string into Base64 format.
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Coder

    public Base64Coder()

Method Detail

### encode

    public static java.lang.String encode(java.lang.String s)

  Encodes a string into Base64 format. No blanks or line breaks are inserted.

  Parameters:
    `s` - a String to be encoded.
  Returns:
    A String with the Base64 encoded data.

### encode

    public static char[] encode(byte[] in)

  Encodes a byte array into Base64 format. No blanks or line breaks are inserted.

  Parameters:
    `in` - an array containing the data bytes to be encoded.
  Returns:
    A character array with the Base64 encoded data.

### decode

    public static java.lang.String decode(java.lang.String s)

  Decodes a Base64 string.

  Parameters:
    `s` - a Base64 String to be decoded.
  Returns:
    A String containing the decoded data.
  Throws:
    `java.lang.IllegalArgumentException` - if the input is not valid Base64 encoded data.

### decode

    public static byte[] decode(char[] in)

  Decodes Base64 data. No blanks or line breaks are allowed within the Base64 encoded data.

  Parameters:
    `in` - a character array containing the Base64 encoded data.
  Returns:
    An array containing the decoded data bytes.
  Throws:
    `java.lang.IllegalArgumentException` - if the input is not valid Base64 encoded data.

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.